%define version 6.0.4
%define release %mkrel 1

Name:		abcm2ps
Version:	%{version}
Release:	%{release}
Summary:	Converts ABC format music sheets into Postscript
License:	GPLv2+
URL:		http://abcplus.sourceforge.net/
Group:		Publishing
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source:		http://moinejf.free.fr/%{name}-%{version}.tar.gz
Patch0:		abcm2ps_makefile.patch

%description
abcm2ps is a package which converts music tunes from ABC format
to PostScript. Based on abc2ps version 1.2.5, it was developed
mainly to print polyphonic music, i.e. music with multiple voices
per staff. abcm2ps uses an extension to the ABC language that make
it suitable for classical music. This extended format is documented
under http://abcplus.sourceforge.net/.

%prep
%setup -q

%patch0 -p 1

%build
%configure2_5x --enable-a4
%make

%install
rm -rf %{buildroot}
%makeinstall 

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes INSTALL License README *.abc *.txt sample3.eps
%{_bindir}/*
%{_datadir}/abcm2ps




%changelog
* Tue Feb 09 2010 Sandro Cazzaniga <kharec@mandriva.org> 6.0.4-1mdv2010.1
+ Revision: 503394
- update to 6.0.4

* Thu Jan 28 2010 Frederik Himpe <fhimpe@mandriva.org> 6.0.1-1mdv2010.1
+ Revision: 497674
- update to new version 6.0.1

* Fri Jan 22 2010 Frederik Himpe <fhimpe@mandriva.org> 6.0.0-1mdv2010.1
+ Revision: 495043
- update to new version 6.0.0

* Sat Dec 26 2009 Jérôme Brenier <incubusss@mandriva.org> 5.9.7-1mdv2010.1
+ Revision: 482332
- new version 5.9.7

* Fri Nov 06 2009 Jérôme Brenier <incubusss@mandriva.org> 5.9.6-1mdv2010.1
+ Revision: 462010
- update to new version 5.9.6
- changes for specfile policy
- source url completed

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild

* Mon Sep 01 2008 Emmanuel Andry <eandry@mandriva.org> 4.12.30-1mdv2009.0
+ Revision: 278529
- New version
- fix license
- fix URL

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 4.12.28-1mdv2008.1
+ Revision: 135813
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Mar 10 2007 Stefan van der Eijk <stefan@mandriva.org> 4.12.28-1mdv2007.1
+ Revision: 140786
- 4.12.28

* Wed Nov 15 2006 Lenny Cartier <lenny@mandriva.com> 4.12.27-1mdv2007.1
+ Revision: 84416
- Update to 4.12.27
- Import abcm2ps

* Wed Aug 30 2006 Lenny Cartier <lenny@mandriva.com> 4.12.25-1mdv2007.0
- 4.12.25

* Fri Jul 21 2006 Jerome Soyer <saispo@mandriva.org> 4.12.22-1mdv2007.0
- New version 4.12.22

* Wed Jun 28 2006 Lenny Cartier <lenny@mandriva.com> 4.12.20-1mdv2007.0
- 4.12.20

* Sat Jun 17 2006 Lenny Cartier <lenny@mandriva.com> 4.12.19-1mdv2007.0
- 4.12.19

* Wed May 24 2006 Lenny Cartier <lenny@mandriva.com> 4.12.18-1mdk
- 4.12.18

* Fri May 12 2006 Lenny Cartier <lenny@mandriva.com> 4.12.17-1mdk
- 4.12.17

* Sat Apr 29 2006 Lenny Cartier <lenny@mandriva.com> 4.12.15-1mdk
- 4.12.15

* Fri Mar 31 2006 Lenny Cartier <lenny@mandriva.com> 4.12.12-1mdk
- 4.12.12

* Tue Mar 21 2006 Lenny Cartier <lenny@mandriva.com> 4.12.11-1mdk
- 4.12.11

* Mon Mar 13 2006 Lenny Cartier <lenny@mandriva.com> 4.12.10-1mdk
- 4.12.10

* Wed Feb 08 2006 Lenny Cartier <lenny@mandriva.com> 4.12.7-1mdk
- 4.12.7

* Tue Jan 31 2006 Lenny Cartier <lenny@mandriva.com> 4.12.6-1mdk
- 4.12.6

* Tue Jan 24 2006 Lenny Cartier <lenny@mandriva.com> 4.12.5-1mdk
- 4.12.5

* Tue Dec 06 2005 Lenny Cartier <lenny@mandriva.com> 4.12.3-1mdk
- 4.12.3

* Wed Nov 23 2005 Lenny Cartier <lenny@mandriva.com> 4.12.1-1mdk
- 4.12.1

* Thu Oct 06 2005 Lenny Cartier <lenny@mandriva.com> 4.11.7-1mdk
- 4.11.7

* Sat Oct 01 2005 Lenny Cartier <lenny@mandriva.com> 4.11.6-1mdk
- 4.11.6

* Tue Jun 07 2005 Lenny Cartier <lenny@mandriva.com> 4.10.2-1mdk
- 4.10.2

* Tue May 31 2005 Lenny Cartier <lenny@mandriva.com> 4.10.1-1mdk
- 4.10.1

* Thu May 26 2005 Lenny Cartier <lenny@mandrakesoft.com> 4.10.0-1mdk
- 4.10.0

* Thu Apr 07 2005 Lenny Cartier <lenny@mandrakesoft.com> 4.9.4-1mdk
- 4.9.4

* Thu Mar 24 2005 Lenny Cartier <lenny@mandrakesoft.com> 4.9.2-1mdk
- 4.9.2

* Mon Jan 10 2005 Abel Cheung <deaddog@mandrake.org> 4.8.7-1mdk
- First Mandrakelinux package, based on package under abcplus website

